Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.exception
Class SDXException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.avalon.framework.CascadingException
                  fr.gouv.culture.sdx.exception.SDXException

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, SDXExceptionCode, java.io.Serializable, org.apache.excalibur.xml.sax.XMLizable

public class SDXException
extends org.apache.avalon.framework.CascadingException
implements org.apache.excalibur.xml.sax.XMLizable, SDXExceptionCode

The superclass of all exceptions thrown by the SDX Framework and the applications contained within.

See Also:
  Serialized Form

Field Summary
`protected java.util.Locale` | `locale` The current locale (system's locale by default).

Fields inherited from interface fr.gouv.culture.sdx.exception.SDXExceptionCode
`ERROR_ACCESS_APPS_LIST_FILE, ERROR_ACQUIRE_DATASOURCE, ERROR_ACQUIRE_PARSER, ERROR_ACQUIRE_RESOLVER, ERROR_ADD_DOC, ERROR_ADD_PROPERTY, ERROR_ADDING_LUCENE_SUB_INDEX, ERROR_ANALYZER_CONFIG_FILE_READ, ERROR_APP_CONFIG_FILE_READ, ERROR_APPLICATION_XCONF_UNVAILABLE, ERROR_BACKUP_APPLICATION, ERROR_BACKUP_DATABASE, ERROR_BACKUP_DOCUMENTBASE, ERROR_BACKUP_INDEX, ERROR_BACKUP_REPOSITORY, ERROR_BIND_REMOTE_INDEX, ERROR_BUILD_DOC_URL, ERROR_BUILD_MULTIREADER, ERROR_BUILD_MULTISEARCHER, ERROR_BUILD_TRANSFORMED_FILE, ERROR_BUILD_URL, ERROR_CLASS_NOT_INSTANCEOF_SDX_INTERFACE, ERROR_CLOSE_CONNECTION, ERROR_CLOSE_RESULT_SET, ERROR_CLOSE_SQL_CONNECTION, ERROR_CLOSE_SQL_PREPARED_STATEMENT, ERROR_CLOSE_STREAM, ERROR_COMMIT, ERROR_COMMIT_SQL_CONNECTION, ERROR_CONFIG_NULL, ERROR_CONFIGURE_APP, ERROR_CONFIGURE_DATABASE, ERROR_CONFIGURE_DOCUMENT_BASE, ERROR_CONFIGURE_ID_GENERATOR, ERROR_CONFIGURE_INDEXATION_LOGGER, ERROR_CONFIGURE_INTERNAL_FIELDS, ERROR_CONFIGURE_LUCENE_INDEX, ERROR_CONFIGURE_PIPELINE, ERROR_CONFIGURE_QUERY_PARSER, ERROR_CONFIGURE_REPOSITORY, ERROR_CONFIGURE_THESAURUS, ERROR_CONFIGURE_TRANSFORMATION, ERROR_CONNECTION_NULL, ERROR_CONTENT_HANDLER_NULL, ERROR_CREATE_APP_FILE, ERROR_CREATE_APPS_LIST_FILE, ERROR_CREATE_DIRS, ERROR_CREATE_INDEX, ERROR_CREATE_LUCENE_FIELD, ERROR_CREATE_RMI_REGISTRY, ERROR_CREATE_TABLE, ERROR_DATE_INVALID, ERROR_DEFAULT_ENCODING, ERROR_DEFAULT_FIELD_EXISTS, ERROR_DELETE_APP_ID, ERROR_DELETE_DOC, ERROR_DELETE_ENTITIES, ERROR_DELETE_ENTITY, ERROR_DIRECTORY_NOT_READABLE, ERROR_DIRECTORY_NOT_WRITABLE, ERROR_DIRECTORY_NULL, ERROR_DIRECTORY_PATH_NULL, ERROR_DOC_EXISTS, ERROR_DOC_NULL, ERROR_DOC_OWNED, ERROR_DOCUMENT_NOT_IN_RESULTS, ERROR_EMPTY, ERROR_ENTITY_CATALOG_ADD, ERROR_EXECUTE_QUERY, ERROR_FIELD_DOES_NOT_EXIST, ERROR_FIELD_NAME_NULL, ERROR_FIELD_NULL, ERROR_FIELDS_DEF_NULL, ERROR_FREEING_LUCENE_RESOURCES, ERROR_GENERIC, ERROR_GET_CONNECTION, ERROR_GET_DEFAULT_FIELD, ERROR_GET_DOC, ERROR_GET_ENCRYPTION, ERROR_GET_ENTITIES, ERROR_GET_ENTITY, ERROR_GET_FIRST_FIELD, ERROR_GET_HSQLDB_CONNECTION, ERROR_GET_INPUTSOURCE, ERROR_GET_LENGTH, ERROR_GET_LUCENE_HITS_DOC, ERROR_GET_PARAMETERS, ERROR_GET_QUERY_PARSER, ERROR_GET_QUERY_TERMS, ERROR_GET_REMOTE_INDEX, ERROR_GET_TERMS, ERROR_GET_TRANSFORMED_FILE, ERROR_GROUPS_NULL, ERROR_HITS_NULL, ERROR_HSQLDB_NULL, ERROR_IDENTITY_NULL, ERROR_INIT_DATABASE, ERROR_INIT_REPO, ERROR_INITIALIZING_LUCENE_INDEX, ERROR_INVALID_ATTRIBUTE, ERROR_INVALID_DOC_ID, ERROR_INVALID_ID, ERROR_INVALID_ID_VALUE, ERROR_INVALID_NAME, ERROR_INVALID_NEW_SUPERUSER_DATA, ERROR_INVALID_NEW_SUPERUSER_ID, ERROR_INVALID_NEW_SUPERUSER_PASSWORD, ERROR_INVALID_REPO_ID, ERROR_INVALID_SORT_ORDER, ERROR_INVALID_STRING, ERROR_INVALID_SUPERUSER_DATA_FROM_FILE, ERROR_INVALID_VALUE, ERROR_LOAD_ANALYZER, ERROR_LOAD_ANALYZER_CONFIG, ERROR_LOAD_REFERENCED_FIELD_LIST, ERROR_LOAD_REFERENCED_REPO, ERROR_LOCALE_NULL, ERROR_LOOKUP_FRAMEWORK_SERVICE, ERROR_LUCENE_ACQUIRE_FSDIRECTORY, ERROR_LUCENE_COPY_MERGED_INDECES, ERROR_LUCENE_DELETE, ERROR_LUCENE_DELETE_FILES_INDECES, ERROR_LUCENE_DELETE_TEMPORARY_INDECES, ERROR_LUCENE_DOCUMENT_NULL, ERROR_LUCENE_FILTER_NULL, ERROR_LUCENE_INDEX_INIT, ERROR_LUCENE_MERGE_INDECES, ERROR_LUCENE_OPTIMIZE, ERROR_LUCENE_QUERY_NULL, ERROR_LUCENE_READ, ERROR_LUCENE_READER_CLOSE, ERROR_LUCENE_RETRIEVE_DOCUMENT, ERROR_LUCENE_SEARCH, ERROR_LUCENE_SEARCHER_CLOSE, ERROR_LUCENE_SEARCHER_GET, ERROR_LUCENE_TERMDOCS_CLOSE, ERROR_LUCENE_TERMENUM_CLOSE, ERROR_LUCENE_UNLOCK, ERROR_LUCENE_WRITE, ERROR_NEW_INSTANCE, ERROR_NEW_OBJECT_INSTANCE_NULL, ERROR_NO_APP_CONFIG_FILE, ERROR_NO_APP_DIRECTORY, ERROR_NO_APP_FIELD_LISTS_DEFINED, ERROR_NO_APP_PUBLIC_ID, ERROR_NO_APP_REPOS_DEFINED, ERROR_NO_APPS_FOR_CONFIG, ERROR_NO_CACHE_REPO_CONFIG, ERROR_NO_CATALOGS_DEFINED, ERROR_NO_DOC_EXISTS_DOCBASE, ERROR_NO_DOC_EXISTS_REPO, ERROR_NO_DOCUMENTBASES_IN_CONFIG, ERROR_NO_FIELD_LIST_CONFIG, ERROR_NO_FIELDS_IN_CONFIG, ERROR_NO_ID_GENERATOR, ERROR_NO_INTERNAL_FIELDS_CONFIG, ERROR_NO_OAI_DC_METADATA_FORMAT, ERROR_NO_PIPELINE_CONFIG, ERROR_NO_PIPELINES_IN_CONFIG, ERROR_NO_REPOSITORIES_IN_CONFIG, ERROR_NO_SDX_CONFIG_FILE, ERROR_NO_SECURITY_MANAGER, ERROR_NO_TRANSFORMATIONS_IN_CONFIG, ERROR_NO_USER_DOCUMENTBASE_CONFIG, ERROR_NO_USER_EXISTS, ERROR_NOT_DATE_FIELD, ERROR_NOT_DIRECTORY, ERROR_OBJECT_WITH_ID_EXISTS, ERROR_OPEN_STREAM, ERROR_OPTIMIZE, ERROR_OUTPUT_STREAM_NULL, ERROR_PARSE_DOC, ERROR_PARSER_NULL, ERROR_QUERY_NULL, ERROR_QUERY_PARSER_NULL, ERROR_QUERY_TERMS_NULL, ERROR_QUERY_UNPARSABLE, ERROR_READ_NEW_SUPERUSER_FILE, ERROR_REMOVE_PROPERTY_WITH_ID, ERROR_REMOVE_PROPERTY_WITHOUT_ID, ERROR_RESOLVE_FILE, ERROR_RESOLVE_FILE_INVALID_FILE_PATH, ERROR_RESOLVE_FILE_NULL_LOCATION, ERROR_RESOLVE_FILE_PROPS_NULL, ERROR_RESULT_DOCS_NULL, ERROR_RETRIEVE_REPO_FOR_DOCUMENT, ERROR_ROLLBACK, ERROR_ROLLBACK_SQL_CONNECTION, ERROR_SAVE_ENTITY, ERROR_SDX_APPLICATIONS_FILE_UNREADABLE, ERROR_SDX_CONFIG_FILE_READ, ERROR_SDX_OAI_FIELD_NOT_BRIEF, ERROR_SEARCH_DATABASE, ERROR_SEARCH_HITS_NULL, ERROR_SEARCHER_NULL, ERROR_SEARCHLOCATIONS_NULL, ERROR_SERVICE_MANAGER_NULL, ERROR_SET_ANALYZER, ERROR_SET_AUTO_COMMIT, ERROR_SET_AUTO_COMMIT_SQL_CONNECTION, ERROR_SET_TRANSFORMED_DOC, ERROR_SETUP_RESULTS, ERROR_SETUP_TERMINFO, ERROR_SETUP_TERMS, ERROR_SIZE_REPO, ERROR_SUPERUSER_NOT_SET, ERROR_SUPERUSER_PASSWORD, ERROR_SYSTEM_PRIVILEGES, ERROR_SYSTEM_PROPERTY, ERROR_TERMINFO_SETDOCID, ERROR_UNKNOWN_APPLICATION, ERROR_UNKNOWN_DOCUMENT_BASE, ERROR_UNKNOWN_OAI_GRANULARITY, ERROR_UNKNOWN_PIPELINE, ERROR_UNKNOWN_REPOSITORY, ERROR_UNKNOWN_THESAURUS, ERROR_UNRECOGNIZED_DOCUMENTBASE_CONFIG, ERROR_USER_DOC_SAX_PARSE, ERROR_USING_DEFAULT_GENERATOR, ERROR_USING_DEFAULT_REPO, ERROR_VALIDATE_SUPERUSER, ERROR_WRITE_NEW_SUPERUSER_FILE, ERROR_XML_CONSUMER_NULL, INFO_SDX_INDEXATION_BATCH_START, PRIORITY_CONFIG_FAILURE`

Constructor Summary
`SDXException(int code, java.lang.String[] args)` Creates an SDX exception with an error code and arguments
`SDXException(org.apache.avalon.framework.logger.Logger l, int code, java.lang.String[] args, java.lang.Throwable e)` Creates an SDX exception with all parameters.
`SDXException(java.lang.String s)` Creates an SDX exception with an single message
`SDXException(java.lang.String s, java.lang.Throwable throwable)` Creates an SDX exception with a single and the original exception

Method Summary
`java.lang.String` | `getMessage()` Returns an error message.
`java.lang.String` | `getMessage(java.util.Locale l)` Returns the error message for a given locale.
`void` | `toSAX(org.xml.sax.ContentHandler hdl)` Returns an XML description of this error.TODOJavadoc:once we have a schema for the structure of this representation we should link to it here

Methods inherited from class org.apache.avalon.framework.CascadingException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### locale

    protected java.util.Locale locale

  The current locale (system's locale by default).

Constructor Detail

### SDXException

    public SDXException(java.lang.String s)

  Creates an SDX exception with an single message

Parameters:
  `s` - The message

### SDXException

    public SDXException(java.lang.String s,
                        java.lang.Throwable throwable)

  Creates an SDX exception with a single and the original exception

Parameters:
  `s` - The error code (must be defined in class SDXExceptionCode).

### SDXException

    public SDXException(int code,
                        java.lang.String[] args)

  Creates an SDX exception with an error code and arguments

Parameters:
  `code` - The error code (must be defined in class SDXExceptionCode).
  `args` - The message arguments (may be null or empty).

### SDXException

    public SDXException(org.apache.avalon.framework.logger.Logger l,
                        int code,
                        java.lang.String[] args,
                        java.lang.Throwable e)

  Creates an SDX exception with all parameters. The exception is logged as an error.

Parameters:
  `l` - The super.getLog() to use (may be null).
  `code` - The error code (must be defined in class SDXExceptionCode).
  `args` - The message arguments (may be null or empty).
  `e` - The original exception thrown (may be null).

Method Detail

### toSAX

    public void toSAX(org.xml.sax.ContentHandler hdl)
               throws org.xml.sax.SAXException

  Returns an XML description of this error.TODOJavadoc:once we have a schema for the structure of this representation we should link to it here

  Specified by:
    `toSAX` in interface `org.apache.excalibur.xml.sax.XMLizable`
  Throws:
    `org.xml.sax.SAXException`

### getMessage

    public java.lang.String getMessage()

  Returns an error message.

  The error message is in the default locale of the Java virtual machine, if available, if not in the SDX default (english)

  TODONOW:currently not true, the default locale (english) still needs to be implemented-rbp

### getMessage

    public java.lang.String getMessage(java.util.Locale l)

  Returns the error message for a given locale.

  Parameters:
    `l` - The locale.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.